FROM node:carbon

WORKDIR /home/node/app

COPY package*.json ./

ENV AWS_ACCESS_KEY_ID="AKIAXUCQDTBLOQF5EH5L"
ENV AWS_SECRET_ACCESS_KEY="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"

ENV JWT_SECRET="secretConfig.jwtSecret"

ENV MONGODB_URI="mongodb+srv://rpg-pmt-dev:rpg-pmt-dev@rpg-pmt-cluster.gernw.mongodb.net/test"

RUN npm install

COPY . .

EXPOSE 3000

CMD [ "npm", "run", "watch" ]
